artdaq - Bug #20329

Issue du jour #1 at protoDUNE, 17-Jul-2018: including the dispatcher prevents data from flowing
07/17/2018 05:26 PM - Kurt Biery

Status: Resolved Start date: 07/17/2018
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Experiment: - Co-Assignees:

Description

In a system with 2 data loggers and a dispatcher in partition 1, the presence of the Dispatcher prevents data from flowing.

History

#1 - 07/17/2018 05:31 PM - Kurt Biery

Turning off the RootNetOutput module in one of the DatalLoggers allows data to flow through it, but the other DL does not allow data through.

With a 0.7 Hz trigger rate, I'm seeing half that at in the DIM DL plot. Then it went to zero. One minute at 0.7, one minute at 0.35, then zero.

#2 - 07/17/2018 05:31 PM - Kurt Biery
That was run 2624.

#3 - 07/18/2018 11:56 AM - Kurt Biery

- Status changed from New to Resolved

this was traced to the fact that the TCPSocketTransfer inside the DataReceiverManager in the Dispatcher was only waiting for 10 seconds before
giving up. Because the start of dataflow in Partition 1 was contingent on the operator pressing a special Run Control button, the delay between when
the Dispatcher was told to begin the run and when the data started flowing was longer than 10 seconds.

Part of the reason for this is that the art modules inside the DL art processes don't make the connection to the Dispatcher until events start to arrive.
Following the lead of a change that Eric made on the develop branch, | commented out the line in TCPSocketTransfer that was giving up aftet 10
seconds, so now we effectively wait forever.
